libgimpprint API Reference: version

Main Page | Modules | Alphabetical List | Data Structures | File List | Data Fields | Globals | Related Pages

# version

Version information. More...

## Defines
#define | GIMPPRINT_MAJOR_VERSION (5)
#define | GIMPPRINT_MINOR_VERSION (0)
#define | GIMPPRINT_MICRO_VERSION (0)
#define | GIMPPRINT_CURRENT_INTERFACE (7)
#define | GIMPPRINT_BINARY_AGE (0)
#define | GIMPPRINT_INTERFACE_AGE (0)
#define | GIMPPRINT_CHECK_VERSION(major, minor, micro)
## Functions
const char * | stp_check_version (unsigned int required_major, unsigned int required_minor, unsigned int required_micro)
| Check whether the library provides the requested version.
## Variables
const unsigned int | gimpprint_major_version
| The library major version number.
const unsigned int | gimpprint_minor_version
| The library minor version number.
const unsigned int | gimpprint_micro_version
| The library micro version number.
const unsigned int | gimpprint_current_interface
| The library ABI revision number (number of incompatible revisions).
const unsigned int | gimpprint_binary_age
| The library ABI binary age number (number of forward-compatible revisions).
const unsigned int | gimpprint_interface_age
| The library ABI interface age number (number of revisions of this ABI).

## Detailed Description

Version information.

Version information may be used to check the library version at compile-time, using macros, or at run-time, using constants.

## Define Documentation

#define GIMPPRINT_BINARY_AGE (0)

| Definition at line 52 of file gimp-print-version.h. Referenced by stp_check_version().

#define GIMPPRINT_CHECK_VERSION | ( | major,
|  | minor,
|  | micro |  | ) |

| Value:
    (GIMPPRINT_MAJOR_VERSION >  (major) ||          \
      (GIMPPRINT_MAJOR_VERSION == (major) &&                \
       GIMPPRINT_MINOR_VERSION > (minor)) ||                \
      (GIMPPRINT_MAJOR_VERSION == (major) &&                \
       GIMPPRINT_MINOR_VERSION == (minor) &&                \
       GIMPPRINT_MICRO_VERSION >= (micro)))
Definition at line 55 of file gimp-print-version.h.

#define GIMPPRINT_CURRENT_INTERFACE (7)

| Definition at line 51 of file gimp-print-version.h.

#define GIMPPRINT_INTERFACE_AGE (0)

| Definition at line 53 of file gimp-print-version.h.

#define GIMPPRINT_MAJOR_VERSION (5)

| Definition at line 48 of file gimp-print-version.h. Referenced by stp_check_version().

#define GIMPPRINT_MICRO_VERSION (0)

| Definition at line 50 of file gimp-print-version.h. Referenced by stp_check_version().

#define GIMPPRINT_MINOR_VERSION (0)

| Definition at line 49 of file gimp-print-version.h. Referenced by stp_check_version().

## Function Documentation

const char* stp_check_version | ( | unsigned int | required_major,
|  | unsigned int | required_minor,
|  | unsigned int | required_micro
| ) |

  | Check whether the library provides the requested version. Parameters:
  required_major | the minimum major revision.
  required_minor | the minimum minor revision.
  required_micro | the minimum micro revision.
Returns: NULL if the version matches, or else a description of the error if the library is too old or too new. Definition at line 46 of file print-version.c. References GIMPPRINT_BINARY_AGE, GIMPPRINT_MAJOR_VERSION, GIMPPRINT_MICRO_VERSION, and GIMPPRINT_MINOR_VERSION.

## Variable Documentation

const unsigned int gimpprint_binary_age

| The library ABI binary age number (number of forward-compatible revisions). Definition at line 72 of file gimp-print-version.h.

const unsigned int gimpprint_current_interface

| The library ABI revision number (number of incompatible revisions). Definition at line 70 of file gimp-print-version.h.

const unsigned int gimpprint_interface_age

| The library ABI interface age number (number of revisions of this ABI). Definition at line 74 of file gimp-print-version.h.

const unsigned int gimpprint_major_version

| The library major version number. Definition at line 64 of file gimp-print-version.h.

const unsigned int gimpprint_micro_version

| The library micro version number. Definition at line 68 of file gimp-print-version.h.

const unsigned int gimpprint_minor_version

| The library minor version number. Definition at line 66 of file gimp-print-version.h.